<!doctype html>
<html>
<head>
    <title>Technology Preview:  Bridge by default for Microsoft Windows clients | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Technology Preview:  Bridge by default for Microsoft Windows clients | Tor Project">
    <meta property="og:description" content="We keep hearing from people around the world that clicking the 3 buttons to turn yourself into a...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/technology-preview-bridge-default-microsoft-windows-clients/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Technology Preview:  Bridge by default for Microsoft Windows clients
      </h1>
    <p class="meta">by phobos | June 6, 2010</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>We keep hearing from people around the world that clicking the 3 buttons to turn yourself into a bridge is too difficult todo for most users.  These people have repeatedly asked for a "bridge by default" configuration in a package.  Here it is:  <a href="http://archive.torproject.org/tor-package-archive/technology-preview/" rel="nofollow">http://archive.torproject.org/tor-package-archive/technology-preview/</a></p>

<p>When you install and run this package, you are a bridge relay helping censored users around the world access Tor and the uncensored Internet.<br />
To understand more about bridges, read <a href="https://www.torproject.org/bridges" rel="nofollow">https://www.torproject.org/bridges</a>.</p>

<p>This is the installable Vidalia bundle configured to be a bridge by default.  This is Tor 0.2.2.13-alpha, Vidalia 0.2.9, Polipo 1.0.4.1. The only difference between this bridge-bundle and the vidalia-bundle is the bridge configuration.  </p>

<p>When started, Vidalia attempts to use UPnP to reconfigure any NAT/router device to open port 9001 for tor and 9030 for a directory mirror.  The bandwidth is set to consume greater than 1.5 Mbps.  It works just like the vidalia-bundle (because it is the vidalia-bundle) where if UPnP fails, it prompts you to open the correct ports on your NAT/router.</p>

<p>None of this is final configuration. It is merely a "does it work for you?" test package.  So far, it's worked on the 4 different networks I've tried.  Apologies to the 300 Chinese users who used my bridge on one of the test networks, only to have it go away a day later.</p>

<p><em>Update 2010-06-11: Fixed a vidalia.conf issue which wasn't a problem, but looked like the controlport was open and un-authenticated.  uploaded new binaries and removed the old ones.  The bridge-bundle nsi file that creates this bundle is <a href="https://trac.vidalia-project.net/browser/vidalia/trunk/pkg/win32/bridge-bundle.nsi.in" rel="nofollow">in Vidalia svn</a>.  Just replace vidalia-bundle.nsi.in with the bridge-bundle.nsi.in and create your bundle.</em></p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-6075"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6075" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 06, 2010</p>
    </div>
    <a href="#comment-6075">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6075" class="permalink" rel="bookmark">Is it still possible to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is it still possible to fingerprint (and block) bridges?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6079"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6079" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 06, 2010</p>
    </div>
    <a href="#comment-6079">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6079" class="permalink" rel="bookmark">I&#039;d downloaded and installed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'd downloaded and installed this version of Tor, and I can ping the default bridges. But I can't connect to Tor network. </p>
<p>Jun 07 11:37:35.542 [Notice] Bootstrapped 10%: Finishing handshake with directory server.<br />
Jun 07 11:37:35.759 [Warning] Problem bootstrapping. Stuck at 10%: Finishing handshake with directory server. (DONE; DONE; count 3; recommendation warn)<br />
Jun 07 11:52:37.845 [Warning] Problem bootstrapping. Stuck at 10%: Finishing handshake with directory server. (DONE; DONE; count 6; recommendation warn)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6084"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6084" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 07, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6079" class="permalink" rel="bookmark">I&#039;d downloaded and installed</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6084">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6084" class="permalink" rel="bookmark">There are no default</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There are no default bridges.  This package turns you into a bridge relay.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-6080"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6080" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 06, 2010</p>
    </div>
    <a href="#comment-6080">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6080" class="permalink" rel="bookmark">Very good, but I ask:  Why</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Very good, but I ask:  Why put the bridges on port 9001?  Doesn't that make it extremely easy to block?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6085"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6085" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 07, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6080" class="permalink" rel="bookmark">Very good, but I ask:  Why</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6085">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6085" class="permalink" rel="bookmark">Any port is easy to block. </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Any port is easy to block.  The point of this is a technology preview, not final configuration.  It's unclear that port 443 is less likely to be blocked than 9001, or heck  31337.  However, concern about 9001 standing out is registered.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6112"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6112" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 10, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-6112">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6112" class="permalink" rel="bookmark">Actually, not all ports are</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Actually, not all ports are so easy to block.  443, for instance, would not be so easy to block for obvious reasons.  Any *single* port aside from 443 and a handful of others, if assigned to all Tor bridges, would be easy to block.  What wouldn't be so easy to block, would be if all of those UPNP-based automatic port opening clients chose a port at random from a pool, say 1024-65535. :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6129"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6129" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 11, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6112" class="permalink" rel="bookmark">Actually, not all ports are</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6129">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6129" class="permalink" rel="bookmark">Technically, just block</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Technically, just block tcp/443.  Whether a company or country wants to do so is another question.  The technology exists to do so, however.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-6081"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6081" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 07, 2010</p>
    </div>
    <a href="#comment-6081">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6081" class="permalink" rel="bookmark">This may happen fairly</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This may happen fairly often: A nonexpert user would like to try a Linux distribution on a Windows machine, but wants Tor (preferably with the latest Vidalia) and is not confident that he could get it going on most (if any) distributions. From web search I have formed the impression that installation would be much easier on some distributions than on others. The impression.</p>
<p>Is there a resource that identifies which Linux distributions are most amenable to Tor/Vidalia installation by the nonexpert? Would anyone who knows kindly identify the distributions here? Information would be appreciated, so thanks in advance.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6086"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6086" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 07, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6081" class="permalink" rel="bookmark">This may happen fairly</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6086">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6086" class="permalink" rel="bookmark">We maintain our own</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We maintain our own repositories for tor rpms and debs for linux distributions.  See <a href="https://www.torproject.org/download-unix.html.en" rel="nofollow">https://www.torproject.org/download-unix.html.en</a>  Most native distribution repositories are out of date with respect to Tor versions.</p>
<p>Windows and Mac operating systems are reliant on the user either noticing new versions through Vidalia prompts, or subscribing to this blog's rss feed or or-announce mailing list.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-6091"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6091" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 07, 2010</p>
    </div>
    <a href="#comment-6091">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6091" class="permalink" rel="bookmark">You are doing great things,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You are doing great things, tor means lots to me, thank you<br />
A Chinese tor user</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6094"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6094" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 07, 2010</p>
    </div>
    <a href="#comment-6094">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6094" class="permalink" rel="bookmark">&gt; the 300 Chinese users who</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; the 300 Chinese users who used my bridge on one of the test networks,<br />
&gt; only to have it go away a day later.</p>
<p>For the past dozen of weeks, I've experienced the same problem. Whenever I retrieved a few new bridges via gmail, they would go away soon (less than a day) if they did work for the first time. Most of them didn't work at all. It's dubious that Tor traffic is being monitored and screened by some kind of automatic mechanisms. We just can't image that this is all done by hand.</p>
<p>It'd be better if we look into more robust bridging systems, and double check whether the tor traffic has some kind of easily discernible protocol signature or not. I'd like to be a volunteer for the tests if you need any, I hold a degree on computer science.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6102"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6102" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 08, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6094" class="permalink" rel="bookmark">&gt; the 300 Chinese users who</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6102">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6102" class="permalink" rel="bookmark">Current testing from within</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Current testing from within China shows simple IP:port blocks.  We've found that bridges are more volatile than relays.  People seem to set them up with a temporary mindset.  Yes, we need a better way to bootstrap into the network if the default public relay list doesn't work.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-6095"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6095" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 07, 2010</p>
    </div>
    <a href="#comment-6095">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6095" class="permalink" rel="bookmark">Why not make the default</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why not make the default configuration be a relay for all Tor? This effectively turns Tor into a darknet, but not a F2F net, since users don't need to know and trust each other beforehand.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6101"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6101" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 08, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6095" class="permalink" rel="bookmark">Why not make the default</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6101">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6101" class="permalink" rel="bookmark">We&#039;re working on it. See
</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We're working on it. See<br />
 <a href="http://archives.seul.org/or/dev/Mar-2010/msg00028.html" rel="nofollow">http://archives.seul.org/or/dev/Mar-2010/msg00028.html</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-6097"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6097" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 08, 2010</p>
    </div>
    <a href="#comment-6097">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6097" class="permalink" rel="bookmark">Yes, this will make it more</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, this will make it more difficult for the damn GFW to block tor user in China mainland. Thank you very much.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6098"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6098" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 08, 2010</p>
    </div>
    <a href="#comment-6098">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6098" class="permalink" rel="bookmark">This will make it more</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This will make it more difficult for the damn GFW to block tor users in China mainland. Thank you very much.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6099"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6099" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 08, 2010</p>
    </div>
    <a href="#comment-6099">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6099" class="permalink" rel="bookmark">This will make it more</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This will make it more difficult for the damn GFW to block tor users in China mainland. Thank you very much.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6110"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6110" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 10, 2010</p>
    </div>
    <a href="#comment-6110">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6110" class="permalink" rel="bookmark">Tor is great. Using other</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor is great. Using other proxies, I can be very proud that members of this community are really working hard.<br />
I would love to contribute to the improvement of Tor but at the same time remain very very anonymous. How?<br />
Can I use my Forex platform with Tor though it's experimental, if yes how do I configure such.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6131"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6131" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 11, 2010</p>
    </div>
    <a href="#comment-6131">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6131" class="permalink" rel="bookmark">suggest：
proxy download</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>suggest：<br />
proxy download Bridge<br />
default 优先 link Cache，last link Bridge</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6133"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6133" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 12, 2010</p>
    </div>
    <a href="#comment-6133">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6133" class="permalink" rel="bookmark">Another thing:
please move</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Another thing:<br />
please move from gmail to another email provider for sending bridges.<br />
Depending on you ip address, gmail may ask for SMS VERIFICATION.<br />
This is not a joke, see <a href="http://googlesystem.blogspot.com/2009/07/creating-gmail-account-requires-sms.html" rel="nofollow">http://googlesystem.blogspot.com/2009/07/creating-gmail-account-require…</a><br />
I and many people don't have cell phones, and it makes creating gmail accounts harder as a proxy or tor exit node in a country without the verification is needed, and many people will be unable to get them, even for people with cell phones many carriers are not supported and I have heard of many cases of people entering the number, not getting the sms, and then they could not use the number again as it has already been used a few times.<br />
Even the people with cell phones who care about privacy will not accept this, no other free webmail provider involves these kinds of privacy violations for setting up an account, tor should not require the webmail provider with the most privacy violations, please move to a differerent webmail provider that is more secure and accessible.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6135"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6135" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 12, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6133" class="permalink" rel="bookmark">Another thing:
please move</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6135">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6135" class="permalink" rel="bookmark">We are aware of this.  The</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We are aware of this.  The issue is gmail may require an sms verification, frequently it does not.  gmail seems to ask for sms verification when lots of new account requests occur from a single IP, like a tor exit node.  We're working on incorporating other email providers that offer ssl and provide dkim headers.</p>
<p>Ticket <a href="https://trac.torproject.org/projects/tor/ticket/1562" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/1562</a> is to track this progress.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6139"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6139" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 13, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6133" class="permalink" rel="bookmark">Another thing:
please move</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6139">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6139" class="permalink" rel="bookmark">Hi!!!!!!!!!!!!!!!!!!!!!!!!!!!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi!!!!!!!!!!!!!!!!!!!!!!!!!!!</p>
<p>Very good post Anonymous!!!!!!!!!!!!!!!</p>
<p>All people using google services are dumb, i don't know why they want to land all their personal details to the evilest multinational company ever!!!!!!!! Google is the only web search engine awarded of the <strong>Hostile to Privacy</strong> black medal, due to its practice of data-gathering just through their public search engine!!!!! Look at the Consultation Report 2007 of Privacy International <a href="http://www.privacyinternational.org/issues/internet/interimrankings.pdf" rel="nofollow">http://www.privacyinternational.org/issues/internet/interimrankings.pdf</a> !!! Yeah, I know it's a shame that the TorProject forces you to register to google!!!!!! hopefully that's going to change!!!!!!! By the way, Google has added the phone verification <em>after</em>, in a later time when Tor was already using gmail, so the TorProject is actually a victim of Google as well!!!</p>
<p>I've never registered one Gmail account, because i know it's for sure the worst email service ever!!!!!!!!!!!!! But due to my curiosity, i went to look for their registration policy and i also noticed that every time Google asked me for my cellphone number!!!!! Hah!! They want to link each email address with a cellphone, no more "anonymous" accounts filled up with fake personal details!!!!!!! Google is very evil, and people caring about theirs privacy mustn't use anything provided by or related to Google!!!!!!!</p>
<p>I'm currently using GMX as my email provider, it has one interface better than Yahoo Mail and it provides the HTTPS connection!!!!!!!! <a href="https://www.gmx.com/" rel="nofollow">https://www.gmx.com/</a> </p>
<p>bye!!!!!!!!!!!!<br />
~bee!!!!!!!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-6155"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6155" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 14, 2010</p>
    </div>
    <a href="#comment-6155">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6155" class="permalink" rel="bookmark">Hi Bee,
&gt;&gt;I&#039;ve never</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi Bee,</p>
<p>&gt;&gt;I've never registered one Gmail account<br />
&gt;&gt;it has one interface better than Yahoo Mail </p>
<p>You've never registered one Gmail account? It has one interface? You're Chinese, aren't you. Using a literal translation of  一个  is a classic grammatical mistake made by Chinese speakers of English. Remember, English has an indefinite article ("a"). English goes not use "one" in this way.</p>
<p>If you had been paying attention in English class you would have said, "I've never registered a Gmail account", and "It has a better interface than Yahoo Mail".</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6171"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6171" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 15, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6155" class="permalink" rel="bookmark">Hi Bee,
&gt;&gt;I&#039;ve never</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6171">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6171" class="permalink" rel="bookmark">Huh. I always thought that</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Huh. I always thought that bee was just a moron. Anyway, if bee actually *is* Chinese, be nice; learning a language is hard.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6242"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6242" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6171" class="permalink" rel="bookmark">Huh. I always thought that</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6242">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6242" class="permalink" rel="bookmark">Hahaha, me too, I think bee</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hahaha, me too, I think bee is a moron and so so arrogant.  </p>
<p>Even if bee is Chinese I think bee would know enough to not be so arrogant and brash and not use so many damn exclamation points.  It's funny to me that bee has been booted out of lots of online communities like Mozilla blog, Wikipedia (bee tried to make a page for bee's unnecessary option to Tor Browser Bundle only to have Wikipedia people delete his page right away and stop him from making another) and now, thankfully, the Tor devs are also shunning bee...happy days!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6262"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6262" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 26, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6242" class="permalink" rel="bookmark">Hahaha, me too, I think bee</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6262">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6262" class="permalink" rel="bookmark">Hi!!!!!!!!!!
That&#039;s quite</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi!!!!!!!!!!<br />
That's quite wrong!!!!! Well, at wikipedia, they did removed my page about factorbee, but they also explained me that it's possible to make it again, when i'll find articles talking about my browser bundle!!!!!! yeah!! and also, there is for example my <strong>bee su</strong> at Wikipedia, i added it long time ago in its proper page <a href="http://tinyurl.com/27pfbv5" rel="nofollow">http://tinyurl.com/27pfbv5</a> !!!!!!!! (there are plenty of articles about bee su, so that's ok!!!!!!!!!!)<br />
What is strange about wikipedia, is when you send emails to Jimbo (the dictator of wikipedia), and the team of wikipedia answers in place of him!!!!!!!! I don't think that is what you had to expect!!!!<br />
As for AMOs, read Googlezilla, they're usual to remove all the posts they dislike, so they did it with mine as well!!!! I decided to leave, because i don't like AMOs!!!!!!!!!!!!!!! i never liked them!!!!! AMO sucks!!!!! They're usual to censor everything you say against google and them!!!!!!!<br />
I don't know about what you said about TOR, but i think it's mostly untrue!!!!! Since i'm here, and so far only mike perry proved himself to be nasty with me!!!!!!!!!!! But i very like phobos (the blogger), erinn (which has accepted my suggestion for the TorBundle with Openssl) and andrew (which for first sent me nice emails)!!!!!!!!!<br />
A website you forgot to mention is fedora-forum!!!!! There are a lot of people, and admins, liking me!!!! but i decided to leave because it has gone downhill, turned into a boring place and therefore one admin banned me!!!!! hahah!!!!!!!!!!! yeah, it's no more honey like it was in the past, i've never had an afterthought about quit that board!!!!! this is funny!!!!!!!!!!<br />
Anyway, it seems to me like you've some troubles with english too!!!!!!!!! If you write "out of lots of online communities" and you give only two, maybe three, examples!!! well yeah, it's just one or two more than "one"!!!!!!! yeah!!!! it's not really the meaning of <em>lots of</em>!!!!!!!!!!!!!! <em>Out of "a couple of"/"a few of" online communities</em> seems to me to have a better logic!!!!!!!!!! is it?!!!!!!!!!!!!!!!?!!</p>
<p>bye!!!!!!!!!!!<br />
~bee!!!!!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6266"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6266" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 26, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6242" class="permalink" rel="bookmark">Hahaha, me too, I think bee</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6266">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6266" class="permalink" rel="bookmark">As a Chinese tor user, I am</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As a Chinese tor user, I am grateful for the great things torproject did.<br />
I don't know whether Bee is Chinese. Even he is, what bee did just represent himself, does not mean Chinese is arrogant.<br />
Even if Bee deserved being taunted, that should because of  his arrogant behavior, not just because he is a Chinese made some grammatical mistakes.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-6191"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6191" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 18, 2010</p>
    </div>
    <a href="#comment-6191">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6191" class="permalink" rel="bookmark">You can no longer connect to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You can no longer connect to filesurf.ru unless you get rid of all entryNodes and exitNodes entries.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6200"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6200" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 19, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6191" class="permalink" rel="bookmark">You can no longer connect to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6200">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6200" class="permalink" rel="bookmark">it is more likely they were</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>it is more likely they were blocking certain exit nodes based on traffic from that IP address.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-6203"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6203" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 20, 2010</p>
    </div>
    <a href="#comment-6203">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6203" class="permalink" rel="bookmark">https://bridges.torproject.or</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://bridges.torproject.org" rel="nofollow">https://bridges.torproject.org</a> is also behind the GFW now.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6215"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6215" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 21, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6203" class="permalink" rel="bookmark">https://bridges.torproject.or</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6215">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6215" class="permalink" rel="bookmark">do you mean blocked or</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>do you mean blocked or available from within china?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-6241"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6241" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2010</p>
    </div>
    <a href="#comment-6241">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6241" class="permalink" rel="bookmark">Pls my tor is no longer</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Pls my tor is no longer connecting on my MTN network here in nigeria. Whats going on.?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6252"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6252" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 25, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6241" class="permalink" rel="bookmark">Pls my tor is no longer</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6252">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6252" class="permalink" rel="bookmark">https://www.torproject.org/fa</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://www.torproject.org/faq#SupportMail" rel="nofollow">https://www.torproject.org/faq#SupportMail</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-6265"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6265" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 26, 2010</p>
    </div>
    <a href="#comment-6265">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6265" class="permalink" rel="bookmark">https://bridges.torproject.or</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://bridges.torproject.org" rel="nofollow">https://bridges.torproject.org</a> is blocked from within china</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6270"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6270" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 26, 2010</p>
    </div>
    <a href="#comment-6270">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6270" class="permalink" rel="bookmark">as Mtn finally block tor?cos</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>as Mtn finally block tor?cos it has not been connecting, please can someone please help with a better way to get connected to Tor servers please.....</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6580"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6580" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 29, 2010</p>
    </div>
    <a href="#comment-6580">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6580" class="permalink" rel="bookmark">I am from Nigeria and have</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am from Nigeria and have been using tor for awhile now. But I just discovered that tor has not connected for a week now. I use MTN NIGERIA to connect to tor. Pls help out</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6585"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6585" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 29, 2010</p>
    </div>
    <a href="#comment-6585">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6585" class="permalink" rel="bookmark">In Nigeria, we could not</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In Nigeria, we could not connect with tor anymore. This is message we get 'Establishing an encrypted directory connection'.<br />
This is where the tor stays until u exist it by yourself. I use MTN Nigeria and so as others that are experiencing the same problem. Also,the relays are never loaded.<br />
Thanks in anticipation</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6629"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6629" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 03, 2010</p>
    </div>
    <a href="#comment-6629">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6629" class="permalink" rel="bookmark">It looks like this tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It looks like this tor people here does'nt reply.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6632"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6632" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">July 03, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6629" class="permalink" rel="bookmark">It looks like this tor</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6632">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6632" class="permalink" rel="bookmark">Really? </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Really?  <a href="https://blog.torproject.org/blog/dear-nigerians-help-us-help-you" rel="nofollow">https://blog.torproject.org/blog/dear-nigerians-help-us-help-you</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
